SyncPilledDocs
API referenceManagement keys

Create a management key

POST
/v1/admin/keys

For the CLI, CI and agents. A key acts as an admin of the account. Only an owner or admin signed in to the console may create one.

Authorization

AuthorizationBearer <token>

A management key, made in the console. It acts as an admin of its account.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "key": {    "id": "string",    "name": "string",    "label": "string",    "hint": "string",    "source": "string",    "created_at": "string",    "revoked_at": "string"  },  "token": "string"}